> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/59.-lekerdezes-asapplieddatasets-lekerese.md).

# 59. Lekérdezés: AsAppliedDatasets lekérése

Elvetett vagy kijuttatott adathalmazok lekérése

Szerezze be az összes "AsAppliedDatasets"-t a kiválasztott "Field"-hez. A datasetek lekérhetők általános GraphQL lekérdezésekkel, például `getFarms` és `getFields` a kapcsolt "Field"-ből.&#x20;

{% hint style="warning" %}
Egy "AsAppliedDataset"-et előzetesen fel kell tölteni.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    név
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        név
        number #geojellemzők teljes száma 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes (attribútumok) mezőbe
        
        fullAttributes { #részletes adatok attribútonként
          name #hivatkozás a statisztikákhoz >> attribútum
          transliteratedName
          fullName #helyes, ember számára olvasható név
          mértékegység #mértékegységek
        }

        usedMachines { #használt gépek
          azonosító
          sorozatszám
          operátorAzonosító
        } 

        createdDate #entitás létrehozásának dátuma és ideje a GeoPard-ban
        updatedDate #utolsó frissítés dátuma és ideje
        operationId
        operationType
        műveletFájlDátuma #a fájl létrehozásának dátuma-időpontja a metainformációból származik 
        műveletKezdeteDátum #a művelet kezdete a metainformációból származik
        
        statisztikák { #minden attribútumra vonatkozó statisztikai eloszlás
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          rövidNév
          hexSzínkódok
          osztályok
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        név
        number #geojellemzők teljes száma 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes (attribútumok) mezőbe
        
        fullAttributes { #részletes adatok attribútonként
          name #hivatkozás a statisztikákhoz >> attribútum
          transliteratedName
          fullName #helyes, ember számára olvasható név
          mértékegység #mértékegységek
        }

        usedMachines { #használt gépek
          azonosító
          sorozatszám
          operátorAzonosító
        } 

        createdDate #entitás létrehozásának dátuma és ideje a GeoPard-ban
        updatedDate #utolsó frissítés dátuma és ideje
        operationId
        operationType
        műveletFájlDátuma #a fájl létrehozásának dátuma-időpontja a metainformációból származik 
        műveletKezdeteDátum #a művelet kezdete a metainformációból származik
        
        statisztikák { #minden attribútumra vonatkozó statisztikai eloszlás
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          rövidNév
          hexSzínkódok
          osztályok
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/59.-lekerdezes-asapplieddatasets-lekerese.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
